#pragma once

#include "util/simpleobject/AgString.h"

class PermissionType
{
private:
    int pattern_;
    AgString name_;
    AgString description_;

public:
    PermissionType(int pattern, const AgString& name, const AgString& description) :
        pattern_(pattern), name_(name), description_(description) {}

    int getPattern() {
        return pattern_;
    }

    void setPattern(int pattern) {
        this->pattern_ = pattern;
    }

    AgString getName() {
        return name_;
    }

    void setName(const AgString& name) {
        this->name_ = name;
    }

    AgString getDescription() {
        return description_;
    }

    void setDescription(const AgString& description) {
        this->description_ = description;
    }
};
